classification
Title: Update grammar tests to use new style for annotated function definitions
Type: enhancement Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.6, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: IanLee1521, Rosuav, berker.peksag, gvanrossum, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2015-01-07 08:49 by IanLee1521, last changed 2015-08-02 03:05 by zach.ware. This issue is now closed.

Files
File name Uploaded Description Edit
pep8-annotated-func-test-update.patch IanLee1521, 2015-01-07 08:49 review
Messages (3)
msg233569 - (view) Author: Ian Lee (IanLee1521) * Date: 2015-01-07 08:49
Per Guido's suggestion on the peps@python.org mailing list, I'm creating this issue to update the argument annotation tests at cpython/Lib/test/test_grammar.py to use the new style wording Guido requested on GitHub [1] that I proposed and was merged into PEP-8 [2] regarding annotated function definitions.

[1] https://github.com/jcrocholl/pep8/issues/357#issuecomment-67527455
[2] https://hg.python.org/peps/rev/7eb1ddc0291c
msg247852 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-08-02 03:01
New changeset c981d9819384 by Zachary Ware in branch '3.4':
Issue #23182: PEP8-ify the annotation grammar tests.  Patch by Ian Lee.
https://hg.python.org/cpython/rev/c981d9819384

New changeset f35bdb6dd242 by Zachary Ware in branch '3.5':
Issue #23182: Merge with 3.4
https://hg.python.org/cpython/rev/f35bdb6dd242

New changeset a0ac94514a30 by Zachary Ware in branch 'default':
Closes #23182: Merge with 3.5
https://hg.python.org/cpython/rev/a0ac94514a30
msg247853 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2015-08-02 03:05
Thanks for the patch!
History
Date User Action Args
2015-08-02 03:05:22zach.waresetnosy: + zach.ware

messages: + msg247853
versions: + Python 3.4, Python 3.6
2015-08-02 03:01:28python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg247852

resolution: fixed
stage: patch review -> resolved
2015-01-12 02:00:56berker.peksagsetnosy: + berker.peksag
stage: patch review

versions: + Python 3.5
2015-01-07 08:50:17IanLee1521settitle: Update grammar tests to use new style -> Update grammar tests to use new style for annotated function definitions
2015-01-07 08:49:05IanLee1521create